Subject: Re: bug#50506: 28.0.50; display-line-numbers equivalent for linum-format?

From: Michael Gallagher - NOAA Affiliate <[email-masked]>
Date: Wed, 15 Sep 2021 10:08:49 -0600

The code as it stands displays correctly with TUTORIAL.he. As I'm not an
expert in the emacs display code, I was confused about the relationship
between paragraph_embedding and bidi-paragraph_direction. I'm assuming
you're saying there needs to be an additional check on the value of
para_direction in the if statements?

On Wed, Sep 15, 2021 at 9:50 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Michael Gallagher - NOAA Affiliate <[email-masked]>
> > Date: Wed, 15 Sep 2021 09:22:18 -0600
> > Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> >
> > Eli, I did indeed. I've added corrections to account for L2R vs R2L and
> the updated patch is attached. Let me
> > know what you think
>
> Thanks, but does this work in buffers where bidi-paragraph-direction
> is nil?  AFAIR, it->paragraph_embedding is only set when the buffer
> has a non-nil value of bidi-paragraph-direction.
>
> Did you try that in TUTORIAL.he, as I suggested?
>

-- 
Michael Gallagher, PhD
CIRES Research Scientist
Polar Observations and Processes Team (ESRL/NOAA/PSD)
325 Broadway, Boulder, Colorado 80305